curl --request DELETE \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.delete_channel(
request=DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest
async def delete_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.delete_channel_async(
request=DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
asyncio.run(delete_channel())
{}
Notification
Delete notification channel
Delete workspace-scoped notification channel.
DELETE
/
api
/
v1
/
notifications
/
channels
/
{channel_id}
curl --request DELETE \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.delete_channel(
request=DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest
async def delete_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.delete_channel_async(
request=DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
asyncio.run(delete_channel())
{}
Deleting a notification channel is a permanent action and is not recoverable.
Path parameters
The unique identifier of the notification channel to delete.
curl --request DELETE \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.delete_channel(
request=DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest
async def delete_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.delete_channel_async(
request=DeleteChannelApiV1NotificationsChannelsChannelIdDeleteRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
)
)
print(response)
asyncio.run(delete_channel())
{}
Was this page helpful?
⌘I

